%define amd_version 2.2
%define amd_version_major 2
%define btf_version 1.0
%define btf_version_major 1
%define btf_version_major_prev 0
%define camd_version 2.2
%define camd_version_major 2
%define ccolamd_version 2.7
%define ccolamd_version_major 2
%define cholmod_version 1.5
%define cholmod_version_major 1
%define colamd_version 2.7
%define colamd_version_major 2
%define csparse_version 2.2.0
%define csparse_version_major 2
%define cxsparse_version 2.2.0
%define cxsparse_version_major 2
%define klu_version 1.0
%define klu_version_major 1
%define klu_version_major_prev 0
%define ldl_version 2.0
%define ldl_version_major 2
%define ldl_version_major_prev 1
%define umfpack_version 5.0.2
%define umfpack_version_major 5
### CHOLMOD can also be compiled to use the METIS library, but it is not
### used here because its licensing terms make it non-free.
### To compile with METIS, define enable_metis as 1 below.
%define enable_metis 0
### CXSparse is a superset of CSparse, and the two share common header
### names, so it does not make sense to build both. CXSparse is built
### by default, but CSparse can be built instead by defining
### enable_csparse as 1 below.
%define enable_csparse 0

%define libamd %mklibname amd %{amd_version_major}
%define libamd_o %mklibname amd
%define libamd_d %mklibname amd %{amd_version_major} -d
%define libamd_d_s %mklibname amd %{amd_version_major} -d -s

%define libbtf %mklibname btf %{btf_version_major}
%define libbtf_o %mklibname btf
%define libbtf_d %mklibname btf %{btf_version_major} -d
%define libbtf_d_s %mklibname btf %{btf_version_major} -d -s

%define libcamd %mklibname camd %{camd_version_major}
%define libcamd_o %mklibname camd
%define libcamd_d %mklibname camd %{camd_version_major} -d
%define libcamd_d_s %mklibname camd %{camd_version_major} -d -s

%define libccolamd %mklibname ccolamd %{ccolamd_version_major}
%define libccolamd_o %mklibname ccolamd
%define libccolamd_d %mklibname ccolamd %{ccolamd_version_major} -d
%define libccolamd_d_s %mklibname ccolamd %{ccolamd_version_major} -d -s

%define libcholmod %mklibname cholmod %{cholmod_version_major}
%define libcholmod_o %mklibname cholmod
%define libcholmod_d %mklibname cholmod %{cholmod_version_major} -d
%define libcholmod_d_s %mklibname cholmod %{cholmod_version_major} -d -s

%define libcolamd %mklibname colamd %{colamd_version_major}
%define libcolamd_o %mklibname colamd
%define libcolamd_d %mklibname colamd %{colamd_version_major} -d
%define libcolamd_d_s %mklibname colamd %{colamd_version_major} -d -s

%define libcsparse %mklibname csparse %{csparse_version_major}
%define libcsparse_o %mklibname csparse
%define libcsparse_d %mklibname csparse %{csparse_version_major} -d

%define libcsparse_d_s %mklibname csparse %{csparse_version_major} -d -s
%define libcxsparse %mklibname cxsparse %{cxsparse_version_major}
%define libcxsparse_o %mklibname cxsparse
%define libcxsparse_d %mklibname cxsparse %{cxsparse_version_major} -d
%define libcxsparse_d_s %mklibname cxsparse %{cxsparse_version_major} -d -s

%define libklu %mklibname klu %{klu_version_major}
%define libklu_o %mklibname klu
%define libklu_d %mklibname klu %{klu_version_major} -d
%define libklu_d_s %mklibname klu %{klu_version_major} -d -s

%define libldl %mklibname ldl %{ldl_version_major}
%define libldl_o %mklibname ldl
%define libldl_d %mklibname ldl %{ldl_version_major} -d
%define libldl_d_s %mklibname ldl %{ldl_version_major} -d -s

%define libumfpack %mklibname umfpack %{umfpack_version_major}
%define libumfpack_o %mklibname umfpack
%define libumfpack_d %mklibname umfpack %{umfpack_version_major} -d
%define libumfpack_d_s %mklibname umfpack %{umfpack_version_major} -d -s

Name:           suitesparse
Version:        3.0.0
Release:        %mkrel 5
Epoch:          0
Summary:        Collection of sparse matrix libraries
Group:          System/Libraries
License:        Distributable
URL:            http://www.cise.ufl.edu/research/sparse/SuiteSparse
Source0:        http://www.cise.ufl.edu/research/sparse/SuiteSparse/SuiteSparse-%{version}.tar.bz2
Obsoletes:      ufsparse < %{epoch}:%{version}-%{release}
Provides:       ufsparse = %{epoch}:%{version}-%{release}
Requires:       %{libamd} = %{epoch}:%{version}-%{release}
Requires:       %{libbtf} = %{epoch}:%{version}-%{release}
Requires:       %{libcamd} = %{epoch}:%{version}-%{release}
Requires:       %{libccolamd} = %{epoch}:%{version}-%{release}
Requires:       %{libcholmod} = %{epoch}:%{version}-%{release}
Requires:       %{libcolamd} = %{epoch}:%{version}-%{release}
%if "%{?enable_csparse}" == "1"
Requires:       %{libcsparse} = %{epoch}:%{version}-%{release}
%else
Requires:       %{libcxsparse} = %{epoch}:%{version}-%{release}
%endif
Requires:       %{libklu} = %{epoch}:%{version}-%{release}
Requires:       %{libldl} = %{epoch}:%{version}-%{release}
Requires:       %{libumfpack} = %{epoch}:%{version}-%{release}
BuildRequires:  blas-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
SuiteSparse is a collection of libraries for computations involving sparse
matrices.  The package includes the following libraries:
  AMD         approximate minimum degree ordering
  BTF         permutation to block triangular form (beta)
  CAMD        constrained approximate minimum degree ordering
  COLAMD      column approximate minimum degree ordering
  CCOLAMD     constrained column approximate minimum degree ordering
  CHOLMOD     sparse Cholesky factorization
  CSparse     a concise sparse matrix package
  CXSparse    CSparse extended: complex matrix, int and long int support
  KLU         sparse LU factorization, primarily for circuit simulation
  LDL         a simple LDL' factorization
  UMFPACK     sparse LU factorization
  UFconfig    configuration file for all the above packages.

%package common-devel
Summary:        Common development headers and files for UFSparse
Group:          Development/C
Obsoletes:      ufsparse-common-devel < %{epoch}:%{version}-%{release}
Provides:       ufsparse-common-devel = %{epoch}:%{version}-%{release}

%description common-devel
This package contains common files needed for developing
applications which use the %{name} libraries.

%package devel
Summary:        Development headers and files for UFSparse
Group:          Development/C
Obsoletes:      ufsparse-devel < %{epoch}:%{version}-%{release}
Provides:       ufsparse-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}
Requires:       amd-devel = %{epoch}:%{version}-%{release}
Requires:       btf-devel = %{epoch}:%{version}-%{release}
Requires:       camd-devel = %{epoch}:%{version}-%{release}
Requires:       ccolamd-devel = %{epoch}:%{version}-%{release}
Requires:       cholmod-devel = %{epoch}:%{version}-%{release}
Requires:       colamd-devel = %{epoch}:%{version}-%{release}
%if "%{?enable_csparse}" == "1"
Requires:       csparse-devel = %{epoch}:%{version}-%{release}
%else
Requires:       cxsparse-devel = %{epoch}:%{version}-%{release}
%endif
Requires:       klu-devel = %{epoch}:%{version}-%{release}
Requires:       ldl-devel = %{epoch}:%{version}-%{release}
Requires:       umfpack-devel = %{epoch}:%{version}-%{release}

%description devel
This package contains files needed for developing
applications which use the %{name} libraries.

%package static-devel
Summary:        Static development files for UFSparse
Group:          Development/C
Obsoletes:      ufsparse-static-devel < %{epoch}:%{version}-%{release}
Provides:       ufsparse-static-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-devel = %{epoch}:%{version}-%{release}
Requires:       amd-static-devel = %{epoch}:%{version}-%{release}
Requires:       btf-static-devel = %{epoch}:%{version}-%{release}
Requires:       camd-static-devel = %{epoch}:%{version}-%{release}
Requires:       ccolamd-static-devel = %{epoch}:%{version}-%{release}
Requires:       cholmod-static-devel = %{epoch}:%{version}-%{release}
Requires:       colamd-static-devel = %{epoch}:%{version}-%{release}
%if "%{?enable_csparse}" == "1"
Requires:       csparse-static-devel = %{epoch}:%{version}-%{release}
%else
Requires:       cxsparse-static-devel = %{epoch}:%{version}-%{release}
%endif
Requires:       klu-static-devel = %{epoch}:%{version}-%{release}
Requires:       ldl-static-devel = %{epoch}:%{version}-%{release}
Requires:       umfpack-static-devel = %{epoch}:%{version}-%{release}

%description static-devel
This package contains files needed for developing
applications which use the %{name} static libraries.

%prep
%setup -q -n SuiteSparse

%build
%{__mkdir_p} Devel Devel/AMD Devel/CAMD Devel/CHOLMOD Devel/KLU Devel/LDL Devel/UMFPACK \
        Doc Doc/AMD Doc/BTF Doc/CAMD Doc/CCOLAMD Doc/CHOLMOD Doc/COLAMD \
        Doc/KLU Doc/LDL Doc/UMFPACK Lib Include

pushd AMD
  %{make}  CC=%{__cc} CFLAGS="%{optflags} -fPIC" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libamd.so.%{amd_version_major} -o libamd.so.%{amd_version} *.o
  popd
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__cp} -a README.txt Doc/License Doc/lesser.txt Doc/ChangeLog ../Doc/AMD
  %{__cp} -a Doc/*.pdf ../Devel/AMD/
popd

pushd BTF
  %{make} CC=%{__cc} CFLAGS="%{optflags} -fPIC" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libbtf.so.%{btf_version_major} -o libbtf.so.%{btf_version} *.o
  popd
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__cp} -a README.txt Doc/lesser.txt Doc/ChangeLog ../Doc/BTF
popd

pushd CAMD
  %{make} CC=%{__cc} CFLAGS="%{optflags} -fPIC" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libcamd.so.%{camd_version_major} -o libcamd.so.%{camd_version} *.o
  popd
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__cp} -a README.txt Doc/License Doc/lesser.txt Doc/ChangeLog ../Doc/CAMD
  %{__cp} -a Doc/*.pdf ../Devel/CAMD
popd

pushd CCOLAMD
  %{make} CC=%{__cc} CFLAGS="%{optflags} -fPIC" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libccolamd.so.%{ccolamd_version_major} -o libccolamd.so.%{ccolamd_version} *.o
  popd
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__cp} -a README.txt Doc/lesser.txt Doc/ChangeLog ../Doc/CCOLAMD
popd

%if "%{?enable_metis}" == "1"
CHOLMOD_FLAGS="%{optflags} -I%{_includedir}/metis -fPIC"
%else
CHOLMOD_FLAGS="%{optflags} -DNPARTITION -fPIC"
%endif
pushd CHOLMOD
  %{make} CC=%{__cc} CFLAGS="$CHOLMOD_FLAGS" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libcholmod.so.%{cholmod_version_major} -o libcholmod.so.%{cholmod_version} *.o
  popd 
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__cp} -a README.txt ../Doc/CHOLMOD
  %{__cp} -a Cholesky/License.txt ../Doc/CHOLMOD/Cholesky_License.txt
  %{__cp} -a Core/License.txt ../Doc/CHOLMOD/Core_License.txt
  %{__cp} -a Core/lesser.txt ../Doc/CHOLMOD/lesser.txt
  %{__cp} -a MatrixOps/License.txt ../Doc/CHOLMOD/MatrixOps_License.txt
  %{__cp} -a MatrixOps/gpl.txt ../Doc/CHOLMOD/gpl.txt
  %{__cp} -a Partition/License.txt ../Doc/CHOLMOD/Partition_License.txt
  %{__cp} -a Supernodal/License.txt ../Doc/CHOLMOD/Supernodal_License.txt
  %{__cp} -a Check/License.txt ../Doc/CHOLMOD/Check_License.txt
  %{__cp} -a Modify/License.txt ../Doc/CHOLMOD/Modify_License.txt
  %{__cp} -a Doc/*.pdf ../Devel/CHOLMOD
popd

pushd COLAMD
  %{make} CC=%{__cc} CFLAGS="%{optflags} -fPIC" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libcolamd.so.%{colamd_version_major} -o libcolamd.so.%{colamd_version} *.o
  popd
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__cp} -a README.txt Doc/ChangeLog Doc/lesser.txt ../Doc/COLAMD
popd

%if "%{?enable_csparse}" == "1"
pushd CSparse
  %{make} CC=%{__cc} CFLAGS="%{optflags} -fPIC" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libcsparse.so.%{csparse_version_major} -o libcsparse.so.%{csparse_version} *.o
  popd
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__mkdir_p} ../Doc/CSparse/
  %{__cp} -a README.txt Doc/License.txt Doc/lesser.txt Doc/ChangeLog ../Doc/CSparse
popd
%else
pushd CXSparse
  %{make} CC=%{__cc} CFLAGS="%{optflags} -fPIC" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libcxsparse.so.%{cxsparse_version_major} -o libcxsparse.so.%{cxsparse_version} *.o
  popd
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__mkdir_p} ../Doc/CXSparse/
  %{__cp} -a README.txt Doc/License.txt Doc/lesser.txt Doc/ChangeLog ../Doc/CXSparse
popd
%endif

pushd KLU
  %{make} CC=%{__cc} CFLAGS="%{optflags} -fPIC" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libklu.so.%{klu_version_major} -o libklu.so.%{klu_version} *.o
  popd
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__cp} -a README.txt Doc/lesser.txt Doc/ChangeLog ../Doc/KLU
  %{__cp} -a Doc/*.pdf ../Devel/KLU
popd

pushd LDL
  %{make} CC=%{__cc} CFLAGS="%{optflags} -fPIC" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libldl.so.%{ldl_version_major} -o libldl.so.%{ldl_version} *.o
  popd
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__cp} -a README.txt Doc/ChangeLog Doc/lesser.txt ../Doc/LDL
  %{__cp} -a Doc/*.pdf ../Devel/LDL
popd

pushd UMFPACK
  %{make} CC=%{__cc} CFLAGS="%{optflags} -fPIC" library
  pushd Lib
    %{__cc} -shared -Wl,-soname,libumfpack.so.%{umfpack_version_major} -o libumfpack.so.%{umfpack_version} *.o -lblas -lm
  popd
  %{__cp} -a Lib/*.a Lib/*.so* ../Lib
  %{__cp} -a Include/*.h ../Include
  %{__cp} -a Doc/License Doc/ChangeLog Doc/lesser.txt README.txt ../Doc/UMFPACK
  %{__cp} -a Doc/*.pdf ../Devel/UMFPACK
popd

pushd Lib
  %{__ln_s} libamd.so.%{amd_version} libamd.so.%{amd_version_major}
  %{__ln_s} libamd.so.%{amd_version} libamd.so
  %{__ln_s} libbtf.so.%{btf_version} libbtf.so.%{btf_version_major}
  %{__ln_s} libbtf.so.%{btf_version} libbtf.so
  %{__ln_s} libcamd.so.%{camd_version} libcamd.so.%{camd_version_major}
  %{__ln_s} libcamd.so.%{camd_version} libcamd.so
  %{__ln_s} libccolamd.so.%{ccolamd_version} libccolamd.so.%{ccolamd_version_major}
  %{__ln_s} libccolamd.so.%{ccolamd_version} libccolamd.so
  %{__ln_s} libcholmod.so.%{cholmod_version} libcholmod.so.%{cholmod_version_major}
  %{__ln_s} libcholmod.so.%{cholmod_version} libcholmod.so
  %{__ln_s} libcolamd.so.%{colamd_version} libcolamd.so.%{colamd_version_major}
  %{__ln_s} libcolamd.so.%{colamd_version} libcolamd.so
%if "%{?enable_csparse}" == "1"
  %{__ln_s} libcsparse.so.%{csparse_version} libcsparse.so.%{csparse_version_major}
  %{__ln_s} libcsparse.so.%{csparse_version} libcsparse.so
%else
  %{__ln_s} libcxsparse.so.%{cxsparse_version} libcxsparse.so.%{cxsparse_version_major}
  %{__ln_s} libcxsparse.so.%{cxsparse_version} libcxsparse.so
%endif
  %{__ln_s} libklu.so.%{klu_version} libklu.so.%{klu_version_major}
  %{__ln_s} libklu.so.%{klu_version} libklu.so
  %{__ln_s} libldl.so.%{ldl_version} libldl.so.%{ldl_version_major}
  %{__ln_s} libldl.so.%{ldl_version} libldl.so
  %{__ln_s} libumfpack.so.%{umfpack_version} libumfpack.so.%{umfpack_version_major}
  %{__ln_s} libumfpack.so.%{umfpack_version} libumfpack.so
popd

%{__cp} -a UFconfig/UFconfig.h Include

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} -p %{buildroot}%{_libdir}
%{__mkdir_p} -p %{buildroot}%{_includedir}/suitesparse
pushd Lib
  for f in *.a *.so*; do
    %{__cp} -a -a $f %{buildroot}%{_libdir}/$f
  done
popd
pushd Include
  for f in *.h;  do
    %{__cp} -a -a $f %{buildroot}%{_includedir}/suitesparse/$f
  done
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files devel
%defattr(0644,root,root,0755)

%files common-devel
%defattr(0644,root,root,0755)
%{_includedir}/suitesparse/cs.h
%{_includedir}/suitesparse/UFconfig.h

%files static-devel
%defattr(0644,root,root,0755)

# Automatically generated on Wed Jun  6 15:49:27 CEST 2007
# ==================================================================
%package -n %{libamd}
Summary:        Main library for amd
Group:          System/Libraries
Provides:       %{libamd_o} = %{epoch}:%{version}-%{release}

%description -n %{libamd}
Main library for amd.

%package -n %{libamd_d}
Summary:        Development files for amd
Group:          Development/C
Requires:       %{libamd} = %{epoch}:%{version}-%{release}
Provides:       libamd-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}amd-devel = %{epoch}:%{version}-%{release}
Provides:       amd-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}

%description -n %{libamd_d}
This package contains the development files for amd.

%package -n %{libamd_d_s}
Summary:        Static development files for amd
Group:          Development/C
Requires:       %{libamd_d} = %{epoch}:%{version}-%{release}
Provides:       %{libamd}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libamd-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}amd-static-devel = %{epoch}:%{version}-%{release}
Provides:       amd-static-devel = %{epoch}:%{version}-%{release}

%description -n %{libamd_d_s}
This package contains the static development files for amd.

%post -n %{libamd} -p /sbin/ldconfig

%postun -n %{libamd} -p /sbin/ldconfig

%files -n %{libamd}
%defattr(0644,root,root,0755)
%doc Doc/AMD/*
%attr(0755,root,root) %{_libdir}/libamd.so.%{amd_version_major}*

%files -n %{libamd_d}
%defattr(0644,root,root,0755)
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/amd*.h
%{_libdir}/libamd.so

%files -n %{libamd_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libamd.a
# ==================================================================

# ==================================================================
%package -n %{libbtf}
Summary:        Main library for btf
Group:          System/Libraries
Provides:       %{libbtf_o} = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname btf %{btf_version_major_prev}

%description -n %{libbtf}
Main library for btf.

%package -n %{libbtf_d}
Summary:        Development files for btf
Group:          Development/C
Requires:       %{libbtf} = %{epoch}:%{version}-%{release}
Provides:       libbtf-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}btf-devel = %{epoch}:%{version}-%{release}
Provides:       btf-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname btf %{btf_version_major_prev} -d

%description -n %{libbtf_d}
This package contains the development files for btf.

%package -n %{libbtf_d_s}
Summary:        Static development files for btf
Group:          Development/C
Requires:       %{libbtf_d} = %{epoch}:%{version}-%{release}
Provides:       %{libbtf}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libbtf-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}btf-static-devel = %{epoch}:%{version}-%{release}
Provides:       btf-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname btf %{btf_version_major_prev} -d -s 

%description -n %{libbtf_d_s}
This package contains the static development files for btf.

%post -n %{libbtf} -p /sbin/ldconfig

%postun -n %{libbtf} -p /sbin/ldconfig

%files -n %{libbtf}
%defattr(0644,root,root,0755)
%doc Doc/BTF/*
%attr(0755,root,root) %{_libdir}/libbtf.so.%{btf_version_major}*

%files -n %{libbtf_d}
%defattr(0644,root,root,0755)
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/btf*.h
%{_libdir}/libbtf.so

%files -n %{libbtf_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libbtf.a
# ==================================================================

# ==================================================================
%package -n %{libcamd}
Summary:        Main library for camd
Group:          System/Libraries
Provides:       %{libcamd_o} = %{epoch}:%{version}-%{release}

%description -n %{libcamd}
Main library for camd.

%package -n %{libcamd_d}
Summary:        Development files for camd
Group:          Development/C
Requires:       %{libcamd} = %{epoch}:%{version}-%{release}
Provides:       libcamd-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}camd-devel = %{epoch}:%{version}-%{release}
Provides:       camd-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}

%description -n %{libcamd_d}
This package contains the development files for camd.

%package -n %{libcamd_d_s}
Summary:        Static development files for camd
Group:          Development/C
Requires:       %{libcamd_d} = %{epoch}:%{version}-%{release}
Provides:       %{libcamd}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libcamd-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}camd-static-devel = %{epoch}:%{version}-%{release}
Provides:       camd-static-devel = %{epoch}:%{version}-%{release}

%description -n %{libcamd_d_s}
This package contains the static development files for camd.

%post -n %{libcamd} -p /sbin/ldconfig

%postun -n %{libcamd} -p /sbin/ldconfig

%files -n %{libcamd}
%defattr(0644,root,root,0755)
%doc Doc/CAMD/*
%attr(0755,root,root) %{_libdir}/libcamd.so.%{camd_version_major}*

%files -n %{libcamd_d}
%defattr(0644,root,root,0755)
%doc Devel/CAMD/*
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/camd*.h
%{_libdir}/libcamd.so

%files -n %{libcamd_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libcamd.a
# ==================================================================

# ==================================================================
%package -n %{libccolamd}
Summary:        Main library for ccolamd
Group:          System/Libraries
Provides:       %{libccolamd_o} = %{epoch}:%{version}-%{release}

%description -n %{libccolamd}
Main library for ccolamd.

%package -n %{libccolamd_d}
Summary:        Development files for ccolamd
Group:          Development/C
Requires:       %{libccolamd} = %{epoch}:%{version}-%{release}
Provides:       libccolamd-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}ccolamd-devel = %{epoch}:%{version}-%{release}
Provides:       ccolamd-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}

%description -n %{libccolamd_d}
This package contains the development files for ccolamd.

%package -n %{libccolamd_d_s}
Summary:        Static development files for ccolamd
Group:          Development/C
Requires:       %{libccolamd_d} = %{epoch}:%{version}-%{release}
Provides:       %{libccolamd}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libccolamd-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}ccolamd-static-devel = %{epoch}:%{version}-%{release}
Provides:       ccolamd-static-devel = %{epoch}:%{version}-%{release}

%description -n %{libccolamd_d_s}
This package contains the static development files for ccolamd.

%post -n %{libccolamd} -p /sbin/ldconfig

%postun -n %{libccolamd} -p /sbin/ldconfig

%files -n %{libccolamd}
%defattr(0644,root,root,0755)
%doc Doc/CCOLAMD/*
%attr(0755,root,root) %{_libdir}/libccolamd.so.%{ccolamd_version_major}*

%files -n %{libccolamd_d}
%defattr(0644,root,root,0755)
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/ccolamd*.h
%{_libdir}/libccolamd.so

%files -n %{libccolamd_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libccolamd.a
# ==================================================================

# ==================================================================
%package -n %{libcholmod}
Summary:        Main library for cholmod
Group:          System/Libraries
Provides:       %{libcholmod_o} = %{epoch}:%{version}-%{release}

%description -n %{libcholmod}
Main library for cholmod.

%package -n %{libcholmod_d}
Summary:        Development files for cholmod
Group:          Development/C
Requires:       %{libcholmod} = %{epoch}:%{version}-%{release}
Provides:       libcholmod-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}cholmod-devel = %{epoch}:%{version}-%{release}
Provides:       cholmod-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}

%description -n %{libcholmod_d}
This package contains the development files for cholmod.

%package -n %{libcholmod_d_s}
Summary:        Static development files for cholmod
Group:          Development/C
Requires:       %{libcholmod_d} = %{epoch}:%{version}-%{release}
Provides:       %{libcholmod}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libcholmod-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}cholmod-static-devel = %{epoch}:%{version}-%{release}
Provides:       cholmod-static-devel = %{epoch}:%{version}-%{release}

%description -n %{libcholmod_d_s}
This package contains the static development files for cholmod.

%post -n %{libcholmod} -p /sbin/ldconfig

%postun -n %{libcholmod} -p /sbin/ldconfig

%files -n %{libcholmod}
%defattr(0644,root,root,0755)
%doc Doc/CHOLMOD/*
%attr(0755,root,root) %{_libdir}/libcholmod.so.%{cholmod_version_major}*

%files -n %{libcholmod_d}
%defattr(0644,root,root,0755)
%doc Devel/CHOLMOD/*
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/cholmod*.h
%{_libdir}/libcholmod.so

%files -n %{libcholmod_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libcholmod.a
# ==================================================================

# ==================================================================
%package -n %{libcolamd}
Summary:        Main library for colamd
Group:          System/Libraries
Provides:       %{libcolamd_o} = %{epoch}:%{version}-%{release}

%description -n %{libcolamd}
Main library for colamd.

%package -n %{libcolamd_d}
Summary:        Development files for colamd
Group:          Development/C
Requires:       %{libcolamd} = %{epoch}:%{version}-%{release}
Provides:       libcolamd-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}colamd-devel = %{epoch}:%{version}-%{release}
Provides:       colamd-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}

%description -n %{libcolamd_d}
This package contains the development files for colamd.

%package -n %{libcolamd_d_s}
Summary:        Static development files for colamd
Group:          Development/C
Requires:       %{libcolamd_d} = %{epoch}:%{version}-%{release}
Provides:       %{libcolamd}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libcolamd-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}colamd-static-devel = %{epoch}:%{version}-%{release}
Provides:       colamd-static-devel = %{epoch}:%{version}-%{release}

%description -n %{libcolamd_d_s}
This package contains the static development files for colamd.

%post -n %{libcolamd} -p /sbin/ldconfig

%postun -n %{libcolamd} -p /sbin/ldconfig

%files -n %{libcolamd}
%defattr(0644,root,root,0755)
%doc Doc/COLAMD/*
%attr(0755,root,root) %{_libdir}/libcolamd.so.%{colamd_version_major}*

%files -n %{libcolamd_d}
%defattr(0644,root,root,0755)
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/colamd*.h
%{_libdir}/libcolamd.so

%files -n %{libcolamd_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libcolamd.a

# ==================================================================
%if "%{?enable_csparse}" == "1"
# ==================================================================

%package -n %{libcsparse}
Summary:        Main library for csparse
Group:          System/Libraries
Provides:       %{libcsparse_o} = %{epoch}:%{version}-%{release}

%description -n %{libcsparse}
Main library for csparse.

%package -n %{libcsparse_d}
Summary:        Development files for csparse
Group:          Development/C
Requires:       %{libcsparse} = %{epoch}:%{version}-%{release}
Provides:       libcsparse-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}csparse-devel = %{epoch}:%{version}-%{release}
Provides:       csparse-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}

%description -n %{libcsparse_d}
This package contains the development files for csparse.

%package -n %{libcsparse_d_s}
Summary:        Static development files for csparse
Group:          Development/C
Requires:       %{libcsparse_d} = %{epoch}:%{version}-%{release}
Provides:       %{libcsparse}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libcsparse-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}csparse-static-devel = %{epoch}:%{version}-%{release}
Provides:       csparse-static-devel = %{epoch}:%{version}-%{release}

%description -n %{libcsparse_d_s}
This package contains the static development files for csparse.

%post -n %{libcsparse} -p /sbin/ldconfig

%postun -n %{libcsparse} -p /sbin/ldconfig

%files -n %{libcsparse}
%defattr(0644,root,root,0755)
%doc Doc/CSparse/*
%attr(0755,root,root) %{_libdir}/libcsparse.so.%{csparse_version_major}*

%files -n %{libcsparse_d}
%defattr(0644,root,root,0755)
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/cs.h
%{_libdir}/libcsparse.so

%files -n %{libcsparse_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libcsparse.a

# ==================================================================
%else
# ==================================================================
%package -n %{libcxsparse}
Summary:        Main library for cxsparse
Group:          System/Libraries
Provides:       %{libcxsparse_o} = %{epoch}:%{version}-%{release}
Obsoletes:      %{libcsparse} < %{epoch}:%{version}-%{release}
Provides:       %{libcsparse} = %{epoch}:%{version}-%{release}

%description -n %{libcxsparse}
Main library for cxsparse.

%package -n %{libcxsparse_d}
Summary:        Development files for cxsparse
Group:          Development/C
Requires:       %{libcxsparse} = %{epoch}:%{version}-%{release}
Provides:       libcxsparse-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}cxsparse-devel = %{epoch}:%{version}-%{release}
Provides:       cxsparse-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}
Obsoletes:      %{libcsparse_d} < %{epoch}:%{version}-%{release}
Provides:       %{libcsparse_d} = %{epoch}:%{version}-%{release}
Provides:       csparse-devel = %{epoch}:%{version}-%{release}

%description -n %{libcxsparse_d}
This package contains the development files for cxsparse.

%package -n %{libcxsparse_d_s}
Summary:        Static development files for cxsparse
Group:          Development/C
Requires:       %{libcxsparse_d} = %{epoch}:%{version}-%{release}
Provides:       %{libcxsparse}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libcxsparse-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}cxsparse-static-devel = %{epoch}:%{version}-%{release}
Provides:       cxsparse-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:      %{libcsparse_d_s} < %{epoch}:%{version}-%{release}
Provides:       %{libcsparse_d_s} = %{epoch}:%{version}-%{release}
Provides:       csparse-static-devel = %{epoch}:%{version}-%{release}

%description -n %{libcxsparse_d_s}
This package contains the static development files for cxsparse.

%post -n %{libcxsparse} -p /sbin/ldconfig

%postun -n %{libcxsparse} -p /sbin/ldconfig

%files -n %{libcxsparse}
%defattr(0644,root,root,0755)
%doc Doc/CXSparse/*
%attr(0755,root,root) %{_libdir}/libcxsparse.so.%{cxsparse_version_major}*

%files -n %{libcxsparse_d}
%defattr(0644,root,root,0755)
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/cs.h
%{_libdir}/libcxsparse.so

%files -n %{libcxsparse_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libcxsparse.a
# ==================================================================
%endif
# ==================================================================
%package -n %{libklu}
Summary:        Main library for klu
Group:          System/Libraries
Provides:       %{libklu_o} = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname klu %{klu_version_major_prev}

%description -n %{libklu}
Main library for klu.

%package -n %{libklu_d}
Summary:        Development files for klu
Group:          Development/C
Requires:       %{libklu} = %{epoch}:%{version}-%{release}
Provides:       libklu-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}klu-devel = %{epoch}:%{version}-%{release}
Provides:       klu-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname klu %{klu_version_major_prev} -d

%description -n %{libklu_d}
This package contains the development files for klu.

%package -n %{libklu_d_s}
Summary:        Static development files for klu
Group:          Development/C
Requires:       %{libklu_d} = %{epoch}:%{version}-%{release}
Provides:       %{libklu}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libklu-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}klu-static-devel = %{epoch}:%{version}-%{release}
Provides:       klu-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname klu %{klu_version_major_prev} -d -s 

%description -n %{libklu_d_s}
This package contains the static development files for klu.

%post -n %{libklu} -p /sbin/ldconfig

%postun -n %{libklu} -p /sbin/ldconfig

%files -n %{libklu}
%defattr(0644,root,root,0755)
%doc Doc/KLU/*
%attr(0755,root,root) %{_libdir}/libklu.so.%{klu_version_major}*

%files -n %{libklu_d}
%defattr(0644,root,root,0755)
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/klu*.h
%{_libdir}/libklu.so

%files -n %{libklu_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libklu.a
# ==================================================================

# ==================================================================
%package -n %{libldl}
Summary:        Main library for ldl
Group:          System/Libraries
Provides:       %{libldl_o} = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname ldl %{ldl_version_major_prev}

%description -n %{libldl}
Main library for ldl.

%package -n %{libldl_d}
Summary:        Development files for ldl
Group:          Development/C
Requires:       %{libldl} = %{epoch}:%{version}-%{release}
Provides:       libldl-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}ldl-devel = %{epoch}:%{version}-%{release}
Provides:       ldl-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname ldl %{ldl_version_major_prev} -d 

%description -n %{libldl_d}
This package contains the development files for ldl.

%package -n %{libldl_d_s}
Summary:        Static development files for ldl
Group:          Development/C
Requires:       %{libldl_d} = %{epoch}:%{version}-%{release}
Provides:       %{libldl}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libldl-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}ldl-static-devel = %{epoch}:%{version}-%{release}
Provides:       ldl-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname ldl %{ldl_version_major_prev} -d -s

%description -n %{libldl_d_s}
This package contains the static development files for ldl.

%post -n %{libldl} -p /sbin/ldconfig

%postun -n %{libldl} -p /sbin/ldconfig

%files -n %{libldl}
%defattr(0644,root,root,0755)
%doc Doc/LDL/*
%attr(0755,root,root) %{_libdir}/libldl.so.%{ldl_version_major}*

%files -n %{libldl_d}
%defattr(0644,root,root,0755)
%doc Devel/LDL/*
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/ldl*.h
%{_libdir}/libldl.so

%files -n %{libldl_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libldl.a
# ==================================================================

# ==================================================================
%package -n %{libumfpack}
Summary:        Main library for umfpack
Group:          System/Libraries
Provides:       %{libumfpack_o} = %{epoch}:%{version}-%{release}

%description -n %{libumfpack}
Main library for umfpack.

%package -n %{libumfpack_d}
Summary:        Development files for umfpack
Group:          Development/C
Requires:       %{libumfpack} = %{epoch}:%{version}-%{release}
Provides:       libumfpack-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}umfpack-devel = %{epoch}:%{version}-%{release}
Provides:       umfpack-devel = %{epoch}:%{version}-%{release}
Requires:       %{name}-common-devel = %{epoch}:%{version}-%{release}

%description -n %{libumfpack_d}
This package contains the development files for umfpack.

%package -n %{libumfpack_d_s}
Summary:        Static development files for umfpack
Group:          Development/C
Requires:       %{libumfpack_d} = %{epoch}:%{version}-%{release}
Provides:       %{libumfpack}-static-devel = %{epoch}:%{version}-%{release}
Provides:       libumfpack-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}umfpack-static-devel = %{epoch}:%{version}-%{release}
Provides:       umfpack-static-devel = %{epoch}:%{version}-%{release}

%description -n %{libumfpack_d_s}
This package contains the static development files for umfpack.

%post -n %{libumfpack} -p /sbin/ldconfig

%postun -n %{libumfpack} -p /sbin/ldconfig

%files -n %{libumfpack}
%defattr(0644,root,root,0755)
%doc Doc/UMFPACK/*
%attr(0755,root,root) %{_libdir}/libumfpack.so.%{umfpack_version_major}*

%files -n %{libumfpack_d}
%defattr(0644,root,root,0755)
%doc Devel/UMFPACK/*
%dir %{_includedir}/suitesparse
%{_includedir}/suitesparse/umfpack*.h
%{_libdir}/libumfpack.so

%files -n %{libumfpack_d_s}
%defattr(0644,root,root,0755)
%{_libdir}/libumfpack.a
# ==================================================================


%changelog
* Thu Oct 25 2007 David Walluck <walluck@mandriva.org> 3.0.0-5mdv2008.1
+ Revision: 101987
- import suitesparse


